package com.chinaweal.aiccs.aiccs.fraudreg.service;

import com.chinaweal.aiccs.aiccs.business.entity.TSTaskList;
import com.chinaweal.aiccs.aiccs.fraudreg.dto.FraudProcessDto;
import com.chinaweal.aicorg.model.AICUser;

import java.util.Map;

public interface IFraudEntryService {

    /**
     * 启动撤销案件简易流程
     * Created by IDEA.
     * Code: lwd
     * Date: 2023/02/01
     * Time: 15:49
     */
    Map<String, String> startTaskEasyTFraud(String uscc, String entName, AICUser loginUser);

    String processControlEasyTFraud(FraudProcessDto fraudProcessDto, TSTaskList tsTaskList, AICUser loginUser);

    void toHandleCancel(FraudProcessDto fraudProcessDto, TSTaskList tsTaskList, AICUser loginUser);

    void backStartAccept(FraudProcessDto fraudProcessDto, TSTaskList tsTaskList, AICUser loginUser);

    void toEndCase(FraudProcessDto fraudProcessDto, TSTaskList tsTaskList, AICUser loginUser);

}
